/*
===================
=== FORMULAIRES ===
===================
*/

form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: var(--spacing-sm);
    width: 100%;
    font-size: 1rem;
    margin: 0 auto;

    .row {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: flex-start;
        align-content: center;
        gap: var(--spacing-sm);
        width: 100%;
    }

    .field {
        flex-shrink: 1;
        flex-grow: 1;
        max-width: 400px;
        display: flex;
        flex-direction: column;
        gap: 0;
        width: 100%;

        p {
            margin-left: var(--spacing-xs);
            color: var(--text-color-darker);
        }

        label {
            text-transform: uppercase;
            font-size: var(--font-label-size);
        }
    }

    label {
        display: block;
        color: var(--field-label-color);
        font-family: var(--font-label);
        font-weight: var(--font-label-weight);
        cursor: pointer;
        user-select: none;
    }

    input,
    select,
    textarea {
        width: 100%;
        padding: var(--spacing-xs) var(--spacing-sm);
        font-family: var(--font-input);
        font-size: var(--font-input-size);
        font-weight: var(--font-input-weight);
        color: var(--field-text-color);
        background-color: var(--field-bg);
        box-shadow: var(--field-shadow);
        border: none;
        resize: vertical;
    }

    input:focus,
    select:focus,
    textarea:focus {
        outline: none;
        border-color: var(--color-accent);
    }

    select {
        cursor: pointer;

    }

    option {
        color: var(--neutral-700);
        background-color: var(--blue-200);
    }

    textarea {
        resize: vertical;
        min-height: 150px;
        height: 150px;
    }

    .field-checkbox {

        flex-shrink: 1;
        flex-grow: 1;
        max-width: 400px;

        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: flex-start;
        align-content: flex-start;
        gap: var(--spacing-sm);
        width: 100%;
    }

    input[type="checkbox"] {
        flex: 0 0;
        width: 2rem;
        height: 1.4rem;
        box-shadow: none;
        cursor: pointer;
    }
}